Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateServiceNotification

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateServiceNotification

Enclosing class:
  TdApi

public static final class TdApi.UpdateServiceNotification extends TdApi.Update
Service notification from the server. Upon receiving this the application must show a popup with the content of the notification.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.MessageContent`
`content`
Notification content.
`String`
`type`
Notification type.

## Constructor Summary

Constructors
Constructor
Description
`UpdateServiceNotification()`
Service notification from the server.
`UpdateServiceNotification(DataInput input)`
Service notification from the server.
`UpdateServiceNotification(String type, TdApi.MessageContent content)`
Service notification from the server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public String type
Notification type. If type begins with "AUTH_KEY_DROP_", then two buttons "Cancel" and "Log out" must be shown under notification; if user presses the second, all local data must be destroyed using Destroy method.

### content

public TdApi.MessageContent content
Notification content.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateServiceNotification

public UpdateServiceNotification()
Service notification from the server. Upon receiving this the application must show a popup with the content of the notification.

### UpdateServiceNotification

public UpdateServiceNotification(String type, TdApi.MessageContent content)
Service notification from the server. Upon receiving this the application must show a popup with the content of the notification.

Parameters:
  `type` - String Notification type. If type begins with "AUTH_KEY_DROP_", then two buttons "Cancel" and "Log out" must be shown under notification; if user presses the second, all local data must be destroyed using Destroy method.
  `content` - MessageContent Notification content.

### UpdateServiceNotification

public UpdateServiceNotification(DataInput input) throws IOException
Service notification from the server. Upon receiving this the application must show a popup with the content of the notification.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`